Summary: Web application monitoring the computing element
Name: glite-ce-monitor
Version: 1.15.1
Release: 2.sl5
License: Apache Software License
Vendor: EMI
URL: http://glite.cern.ch/
Group: System Environment/Libraries
BuildArch: noarch
BuildRequires: glite-ce-monitor-api-java, ant, java-1.6.0-openjdk-devel
BuildRequires: jakarta-commons-codec, jakarta-commons-httpclient, jakarta-commons-logging
BuildRequires: classpathx-jaf, jclassads
Requires: glite-ce-monitor-api-java, classpathx-jaf
Requires(post): openssl
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
AutoReqProv: yes
Source: %{name}.tar.gz

%description
The CE monitor service is a web application that 
publishes information about the Computing Element

%prep 

%setup -c -q 

%build
printf "dist.location=%{buildroot}
stage.location=
module.version=%{version}">.configuration.properties
ant

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
ant install


%clean
rm -rf %{buildroot}

%pre
for((idx=0; idx<5; idx++)) ; do
  /sbin/service tomcat5 stop
  if [ $? == 0 ] ; then idx=5; else sleep 5; fi
done

# Remove the axis1-based installation 
if [ -d /var/lib/tomcat5/webapps/ce-monitor ] ; then
  rm -rf /var/lib/tomcat5/webapps/ce-monitor
  rm -f /etc/tomcat5/Catalina/localhost/ce-monitor.xml
  rm -rf /var/cache/tomcat5/work/Catalina/localhost/ce-monitor
fi

%post
# Do not overwrite axis2-based installation
if [ ! -L /var/lib/tomcat5/webapps/ce-monitor/WEB-INF/services/glite-ce-monitor.aar ] ; then

  cp -R /usr/share/axis2/webapp /var/lib/tomcat5/webapps/ce-monitor || exit 1
  
  ln -s /usr/share/java/jclassads/cedar.jar /var/lib/tomcat5/webapps/ce-monitor/WEB-INF/lib
  ln -s /usr/share/java/jclassads/classad.jar /var/lib/tomcat5/webapps/ce-monitor/WEB-INF/lib
  ln -s /usr/share/java/argus-pep-api-java-compat.jar /var/lib/tomcat5/webapps/ce-monitor/WEB-INF/lib
  ln -s /usr/share/java/argus-pep-common-compat.jar /var/lib/tomcat5/webapps/ce-monitor/WEB-INF/lib
  ln -s /usr/share/java/trustmanager.jar /var/lib/tomcat5/webapps/ce-monitor/WEB-INF/lib
  ln -s /usr/share/java/trustmanager-axis2.jar /var/lib/tomcat5/webapps/ce-monitor/WEB-INF/lib
  ln -s /usr/share/java/bcprov.jar /var/lib/tomcat5/webapps/ce-monitor/WEB-INF/lib
  ln -s /usr/share/java/glite-ce-common-java.jar /var/lib/tomcat5/webapps/ce-monitor/WEB-INF/lib
  ln -s /usr/share/java/glite-ce-monitor-api-java.jar /var/lib/tomcat5/webapps/ce-monitor/WEB-INF/lib
  ln -s /usr/share/java/glite-ce-monitor.jar /var/lib/tomcat5/webapps/ce-monitor/WEB-INF/lib
  ln -s /usr/share/java/voms-api-java.jar /var/lib/tomcat5/webapps/ce-monitor/WEB-INF/lib

  if [ "xsl5" == "xsl6" ]; then
    # set allowLinking option for tomcat6
    mkdir /var/lib/tomcat5/webapps/ce-monitor/META-INF
    echo '<Context override="true" allowLinking="true"></Context>' > /var/lib/tomcat5/webapps/ce-monitor/META-INF/context.xml
  fi

  # customization of axis2.conf
  REPLACE1='s|__CHANGE_SERVICE__|/etc/glite-ce-monitor/cemonitor-config.xml|g'
  REPLACE2='s|__CHANGE_LOG4J__|/etc/glite-ce-monitor/log4j.properties|g'
  TMPPWD=`openssl rand -base64 15`
  REPLACE3='s|__CHANGE_PWD__|'$TMPPWD'|g'
  
  sed "$REPLACE1 ; $REPLACE2 ; $REPLACE3" /etc/glite-ce-common-java/axis2.xml > /var/lib/tomcat5/webapps/ce-monitor/WEB-INF/conf/axis2.xml
  
  # cannot use symlinks for the following files:
  cp -f /etc/glite-ce-common-java/web.xml /var/lib/tomcat5/webapps/ce-monitor/WEB-INF/

  ln -s /usr/share/glite-ce-monitor/modules/glite-ce-monitor-authorization.mar /var/lib/tomcat5/webapps/ce-monitor/WEB-INF/modules
  find /var/lib/tomcat5/webapps/ce-monitor/WEB-INF/modules -name *.mar -exec basename \{\} \; > /var/lib/tomcat5/webapps/ce-monitor/WEB-INF/modules/modules.list
  
  ln -s /usr/share/glite-ce-monitor/services/glite-ce-monitor.aar /var/lib/tomcat5/webapps/ce-monitor/WEB-INF/services
  find /var/lib/tomcat5/webapps/ce-monitor/WEB-INF/services -name *.aar -exec basename \{\} \; > /var/lib/tomcat5/webapps/ce-monitor/WEB-INF/services/services.list
  
fi

# upgrades from EMI-2 requires canl
if [ ! -L /var/lib/tomcat5/webapps/ce-monitor/WEB-INF/lib/canl.jar ] ; then
  ln -s /usr/share/java/canl.jar /var/lib/tomcat5/webapps/ce-monitor/WEB-INF/lib
fi

if [ $1 -eq 1 ] ; then  
# Creation of the back-end and log dir
  if [ ! "xtomcat:x:91:91:Tomcat:/usr/share/tomcat5:/bin/sh" == "x" ] ; then
    mkdir -p /var/cemonitor
    chown tomcat:tomcat /var/cemonitor
    chmod 755 /var/cemonitor
    
    mkdir -p /var/log/cemonitor
    chown tomcat:tomcat /var/log/cemonitor
    chmod 755 /var/log/cemonitor
  fi

  /sbin/service tomcat5 start

fi

%preun
if [ $1 -eq 0 ] ; then

  for((idx=0; idx<5; idx++)) ; do
    /sbin/service tomcat5 stop
    if [ $? == 0 ] ; then idx=5; else sleep 5; fi
  done

  if [ -d /var/cemonitor ] ; then
    rm -rf /var/cemonitor
  fi
  
  if [ -d /var/lib/tomcat5/webapps/ce-monitor ] ; then
    rm -rf /var/lib/tomcat5/webapps/ce-monitor
  fi

fi

%postun
/sbin/service tomcat5 start

%files
%defattr(-,root,root)
%dir /etc/glite-ce-monitor/
%config(noreplace) /etc/glite-ce-monitor/cemonitor-config-argus.xml.template
%config(noreplace) /etc/glite-ce-monitor/cemonitor-config-gjaf.xml.template
%config(noreplace) /etc/glite-ce-monitor/log4j.properties
/usr/share/java/*.jar
/usr/share/glite-ce-monitor/modules/*
/usr/share/glite-ce-monitor/services/*
%dir /usr/share/doc/glite-ce-monitor-1.15.1
%doc /usr/share/doc/glite-ce-monitor-1.15.1/LICENSE

%changelog
* Fri Aug 31 2012 CREAM group <cream-support@lists.infn.it> - 1.15.1-2.sl5
- New major release


